Bug 114742 - CAN-2004-0080 "login" information leak
CAN-2004-0080 "login" information leak
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: util-linux (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Ben Levenson
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-02 05:37 EST by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-03 03:22:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-02-02 05:37:22 EST
Reported to security@redhat.com an issue in the login program.  In
some situations, the login program could use a pointer that had been
freed and reallocated. This could cause unintentional data leakage. 
This could cause things like passwords getting written to wtmp under
certain conditions (a certain sequence of incorrect logins are
performed with certain length passwords etc).

Note: Red Hat Enterprise Linux 3 and Red Hat Linux 9 are not
vulnerable to this issue.

Updated packages will be available under advisory RHSA-2004:056
Comment 1 Mark J. Cox (Product Security) 2004-02-03 03:22:25 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-056.html

Note You need to log in before you can comment on or make changes to this bug.